/*
Created by: X
http://www.createdbyx.com/

The StreamContentProcessor library is licenced under the 
Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;

namespace StreamContentProcessor
{

    [ContentTypeWriter]
    public class StreamWriter : ContentTypeWriter<DataContainer>
    {

        protected override void Write(ContentWriter output, DataContainer value)
        {
            // write the string data stored in value as a character array
            output.Write(value.Data.ToCharArray());
        }

        public override string GetRuntimeType(TargetPlatform targetPlatform)
        {
            // return the assembly-qualified name for the xFripperyReader type.
            return typeof(System.IO.Stream).AssemblyQualifiedName;
        }

        public override string GetRuntimeReader(TargetPlatform targetPlatform)
        {
            // return the assembly-qualified name for the xFripperyReader type.
            return typeof(StreamReader).AssemblyQualifiedName;
        }
    }
}